Projects
GET https://xlin.cc/api/projects/
curl --request GET \
--url 'https://xlin.cc/api/projects/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://xlin.cc/api/projects/' \
--header 'Authorization: Bearer {api_key}' \
| 参数 | 详细信息 | 描述 |
|---|---|---|
| search | 可选 字符串 | 搜索字符串。 |
| search_by | 可选 字符串 | 您正在搜索哪个字段。允许的值是:name。 |
| order_by | 可选 字符串 | 按哪个字段对结果进行排序。允许的值是:project_id , datetime , last_datetime , name。 |
| order_type | 可选 字符串 | 结果的排序。允许的值为:ASC 表示升序排序,DESC 表示降序排序。 |
| page | 可选 整数 | 您想要结果的页码。默认为1。 |
| results_per_page | 可选 整数 | 每页您想要多少结果。允许的值为:10 , 25 , 50 , 100 , 250 , 500 , 1000。默认值为25。 |
{
"data": [
{
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-03-13 05:14:56",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://xlin.cc/api/projects?page=1",
"last": "https://xlin.cc/api/projects?page=1",
"next": null,
"prev": null,
"self": "https://xlin.cc/api/projects?page=1"
}
}
GET https://xlin.cc/api/projects/{project_id}
curl --request GET \
--url 'https://xlin.cc/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://xlin.cc/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-03-13 05:14:56",
}
}
POST https://xlin.cc/api/projects
| 参数 | 详细信息 | 描述 |
|---|---|---|
| name | 必需 字符串 | - |
| color | 可选 字符串 | - |
curl --request POST \
--url 'https://xlin.cc/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#ffffff' \
--url 'https://xlin.cc/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#ffffff' \
{
"data": {
"id": 1
}
}
POST https://xlin.cc/api/projects/{project_id}
| 参数 | 详细信息 | 描述 |
|---|---|---|
| name | 可选 字符串 | - |
| color | 可选 字符串 | - |
curl --request POST \
--url 'https://xlin.cc/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#000000' \
--url 'https://xlin.cc/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#000000' \
{
"data": {
"id": 1
}
}
DELETE https://xlin.cc/api/projects/{project_id}
curl --request DELETE \
--url 'https://xlin.cc/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://xlin.cc/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \